## org.apache.mahout.df.callback
Class SingleTreePredictions

    java.lang.Object
      org.apache.mahout.df.callback.SingleTreePredictions

All Implemented Interfaces:
  PredictionCallback

    public class SingleTreePredictions

extends java.lang.Object
implements PredictionCallback

Collects the predictions for a single tree

Constructor Summary
`SingleTreePredictions(int nbInstances)`

Method Summary
`int[]` `getPredictions()`
`void` `prediction(int treeId, int instanceId, int prediction)` called when an instance has been classified

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleTreePredictions

    public SingleTreePredictions(int nbInstances)

Method Detail

### prediction

    public void prediction(int treeId,
                           int instanceId,
                           int prediction)

  Description copied from interface: `PredictionCallback`
  called when an instance has been classified

  Specified by:
    `prediction` in interface `PredictionCallback`
  Parameters:
    `treeId` - tree that classified the instance
    `instanceId` - classified instance
    `prediction` - predicted label

### getPredictions

    public int[] getPredictions()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.